> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Currency Conversions for an Invoice

> Lists all currency conversions for a specific invoice.
Currency conversions are automatically created for invoices that require regulatory
compliance (e.g., UK VAT requiring GBP conversion for foreign currency invoices).



## OpenAPI

````yaml invoices.latest.product.live GET /invoices/{id}/currency-conversions
openapi: 3.0.0
info:
  title: Invoices
  description: Create and issue invoices
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /invoices/{id}/currency-conversions:
    servers: []
    parameters: []
    get:
      tags:
        - Invoices
      summary: List Currency Conversions for an Invoice
      description: >-
        Lists all currency conversions for a specific invoice.

        Currency conversions are automatically created for invoices that require
        regulatory

        compliance (e.g., UK VAT requiring GBP conversion for foreign currency
        invoices).
      operationId: getInvoicesByIdCurrencyConversions
      parameters:
        - name: id
          in: path
          description: Invoice ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceCurrencyConversionsListResponse'
                example:
                  items:
                    - id: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
                      invoiceId: f1e2d3c4-b5a6-4978-8e9f-0a1b2c3d4e5f
                      currency: GBP
                      totalTax: '20.00'
                      netTotal: '100.00'
                      grossTotal: '120.00'
                      exchangeRate: '0.79'
                      updatedAt: '2024-01-15T10:30:00Z'
              examples:
                InvoiceCurrencyConversionsListResponse:
                  summary: ''
                  value:
                    items:
                      - id: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
                        invoiceId: f1e2d3c4-b5a6-4978-8e9f-0a1b2c3d4e5f
                        currency: GBP
                        totalTax: '20.00'
                        netTotal: '100.00'
                        grossTotal: '120.00'
                        exchangeRate: '0.79'
                        updatedAt: '2024-01-15T10:30:00Z'
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '404':
          description: Not Found
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    InvoiceCurrencyConversionsListResponse:
      required:
        - items
      type: object
      example:
        items:
          - id: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
            invoiceId: f1e2d3c4-b5a6-4978-8e9f-0a1b2c3d4e5f
            currency: GBP
            totalTax: '20.00'
            netTotal: '100.00'
            grossTotal: '120.00'
            exchangeRate: '0.79'
            updatedAt: '2024-01-15T10:30:00Z'
      properties:
        items:
          type: array
          description: List of currency conversions for the invoice
          example:
            - id: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
              invoiceId: f1e2d3c4-b5a6-4978-8e9f-0a1b2c3d4e5f
              currency: GBP
              totalTax: '20.00'
              netTotal: '100.00'
              grossTotal: '120.00'
              exchangeRate: '0.79'
              updatedAt: '2024-01-15T10:30:00Z'
          items:
            $ref: '#/components/schemas/InvoiceCurrencyConversionResponse'
    InvoiceCurrencyConversionResponse:
      required:
        - currency
        - exchangeRate
        - grossTotal
        - id
        - invoiceId
        - netTotal
        - totalTax
        - updatedAt
      type: object
      example:
        id: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
        invoiceId: f1e2d3c4-b5a6-4978-8e9f-0a1b2c3d4e5f
        currency: GBP
        totalTax: '20.00'
        netTotal: '100.00'
        grossTotal: '120.00'
        exchangeRate: '0.79'
        updatedAt: '2024-01-15T10:30:00Z'
      properties:
        id:
          type: string
          description: The unique identifier for the currency conversion
          example: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
        invoiceId:
          type: string
          description: The invoice this conversion belongs to
          example: f1e2d3c4-b5a6-4978-8e9f-0a1b2c3d4e5f
        currency:
          $ref: '#/components/schemas/Currency'
          description: The target currency for the conversion
        totalTax:
          type: string
          description: The total tax amount in the converted currency
          example: '20.00'
        netTotal:
          type: string
          description: The net total amount in the converted currency
          example: '100.00'
        grossTotal:
          type: string
          description: The gross total amount in the converted currency
          example: '120.00'
        exchangeRate:
          type: string
          description: The exchange rate used for the conversion
          example: '0.79'
        updatedAt:
          type: string
          description: The last update timestamp
          example: '2024-01-15T10:30:00Z'
    Currency:
      type: string
      example: GBP
      enum:
        - AED
        - ARS
        - AUD
        - BRL
        - BGN
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - CZK
        - DKK
        - EGP
        - EUR
        - GBP
        - HKD
        - ILS
        - INR
        - ISK
        - JPY
        - KRW
        - MXN
        - NOK
        - NZD
        - PLN
        - SAR
        - SEK
        - SGD
        - THB
        - USD
        - UYU
        - ZAR

````